Bug 1277312 - Define types for ports 9526 and 9527 (used by openQA)
Define types for ports 9526 and 9527 (used by openQA)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 20:22 EST by Adam Williamson
Modified: 2016-02-16 22:50 EST (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.5.fc23 selinux-policy-3.13.1-158.6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 22:50:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-11-02 20:22:41 EST
So I'm working on packaging openQA for Fedora ATM. openQA has its own daemon which runs on ports 9526 and 9527 (9527 for WebSockets) and it expects you to set up a regular web server (Apache or nginx) to reverse proxy it. (This style seems somewhat common for non-PHP webapps). Of course, that means the web server has to be allowed to connect to the daemon, something which is disallowed by default.

It seems that policy modules cannot apply types to ports, so I need the distro policy to define types for these ports, if possible. Thanks! We'd also want a policy allowing web servers to connect to those ports, but I could ship that bit of policy in the openQA package if that would make more sense.

If you want to see where these ports are specified:

https://github.com/os-autoinst/openQA/blob/master/script/openqa
https://github.com/os-autoinst/openQA/blob/master/script/openqa-websockets

openQA is based on the Mojolicious framework, which uses the MOJO_LISTEN environment variable to decide what port to listen on; here, openQA is setting that variable to 9526 (openqa) or 9527 (openqa-websockets) so long as the admin hasn't overridden it when launching those scripts.
Comment 1 Adam Williamson 2015-12-15 14:37:02 EST
ping? folks?
Comment 2 Adam Williamson 2016-02-04 17:00:29 EST
echo...
Comment 3 Daniel Walsh 2016-02-08 15:03:13 EST
Lukas can you give this bug a look?
Comment 4 Lukas Vrabec 2016-02-09 04:13:57 EST
Hi Adam,

I can label for your these ports and then you can create own custom policy where you allow this rules for your needs. 

Do you agree? 

Names for ports 'openqa' and 'openqa-websockets' are fine to me.
Comment 5 Adam Williamson 2016-02-09 11:29:56 EST
yep, I plan to write a policy for the package, but the ports cannot be labelled in an external policy package, they have to be done in selinux-policy :) those names are fine, thanks!
Comment 6 Fedora Update System 2016-02-11 09:21:21 EST
selinux-policy-3.13.1-158.6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36a160982c
Comment 7 Fedora Update System 2016-02-14 11:23:19 EST
selinux-policy-3.13.1-158.6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36a160982c
Comment 8 Fedora Update System 2016-02-16 22:49:49 EST
selinux-policy-3.13.1-158.6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.